Loading...
Searching...
No Matches
mdds::mtv::default_traits Struct Reference

`#include <util.hpp>`

Inheritance diagram for mdds::mtv::default_traits:

## Public Types

using | event_func = empty_event_func
using | exec_policy = default_exec_policy
using | block_funcs = element_block_funcs<>

## Static Public Attributes

static constexpr lu_factor_t | loop_unrolling = lu_factor_t::lu16

## Detailed Description

Default trait to be used when no custom trait is specified.

## Member Typedef Documentation

## block_funcs

using mdds::mtv::default_traits::block_funcs = element_block_funcs<>

Type that contains block functions used throughout the multi_type_vector implementation. The user must overwrite this type to specify one or more block types as template arguments to element_block_funcs. Alternatively, you may be interested in using standard_element_blocks_traits which already supports the pre-defined block types for the optional standard data types.

## event_func

using mdds::mtv::default_traits::event_func = empty_event_func

Class or struct type that contains callback functions for element block events as its member functions.

## exec_policy

using mdds::mtv::default_traits::exec_policy = default_exec_policy

Execution policy for potentially parallelizable operations.

## Member Data Documentation

## loop_unrolling

lu_factor_t mdds::mtv::default_traits::loop_unrolling = lu_factor_t::lu16

static constexpr

Static value specifying the loop-unrolling factor to use for the block position adjustment function. This must be a const expression.